;; DANA: Derivative ANAlysis
(defpackage "DANA"
  (:use "COMMON-LISP" "DORM" "DERIVATIVE" "ARITHMETIC-DORM" "TRIGONOMETRIC-DORM")
  (:export derivative-of))

(in-package dana)
(push (make-instance 'dorm) *dorms*)
(push (make-instance 'constant-dorm) *dorms*)
(push (make-instance 'variable-dorm) *dorms*)
(push (make-instance 'addition-dorm) *dorms*)
(push (make-instance 'subtraction-dorm) *dorms*)
(push (make-instance 'single-multiplication-dorm) *dorms*)
(push (make-instance 'multiplication-dorm) *dorms*)
(push (make-instance 'single-division-dorm) *dorms*)
(push (make-instance 'division-dorm) *dorms*)
(push (make-instance 'constant-exponent-dorm) *dorms*)
(push (make-instance 'constant-base-exponent-dorm) *dorms*)
(push (make-instance 'ln-dorm) *dorms*)
(push (make-instance 'sin-dorm) *dorms*)
(push (make-instance 'cos-dorm) *dorms*)
(push (make-instance 'tan-dorm) *dorms*)
(push (make-instance 'sec-dorm) *dorms*)
(push (make-instance 'csc-dorm) *dorms*)
(push (make-instance 'cot-dorm) *dorms*)
(push (make-instance 'arcsin-dorm) *dorms*)
(push (make-instance 'arccos-dorm) *dorms*)
(push (make-instance 'arctan-dorm) *dorms*)
(push (make-instance 'arcsec-dorm) *dorms*)
(push (make-instance 'arccsc-dorm) *dorms*)
(push (make-instance 'arccot-dorm) *dorms*)
